%define module	XML-SAX
%define name	perl-%{module}
%define version 0.16
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Simple API for XML
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(XML::NamespaceSupport)
Provides:	perl(XML::SAX::PurePerl::DTDDecls)
Provides:	perl(XML::SAX::PurePerl::DocType)
Provides:	perl(XML::SAX::PurePerl::EncodingDetect)
Provides:	perl(XML::SAX::PurePerl::XMLDecl)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes LICENSE README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
N
EOF
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std PERL="perl -I%{buildroot}%{perl_vendorlib}/"
touch %{buildroot}%{perl_vendorlib}/XML/SAX/ParserDetails.ini

%clean 
rm -rf %{buildroot}

%post
perl -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null

%preun
if [ $1 -eq 0 ]; then
  perl -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()'
fi

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/XML
%{_mandir}/man3/XML::*.3*
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%exclude %{perl_vendorlib}/XML/SAX/placeholder.pl




%changelog
* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 46717
- update to new version 0.16

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.15-1mdv2008.0
+ Revision: 20681
- 0.15


* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.14-2mdv2007.0
+ Revision: 114828
- fix installation in iurt
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-SAX

* Fri Apr 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- new version  
- rpmbuildupdate aware
- spec cleanup
- %%mkrel
- better summary
- drop patch, use STDIN to feed MakeMaker

* Sat Oct 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13
- Fix URL

* Thu Sep 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12-4mdk
- added rh fixes by Ville Skyttä:
  - Handle ParserDetails.ini parser registration.
  - Own installed directories.

